package jasco.runtime.distribution;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

public class RemoteSharedField extends UnicastRemoteObject implements IRemoteSharedField {
	
	private Object value;
	
	public RemoteSharedField(Object value) throws RemoteException {
		super();
		this.value=value;
	}

	public Object getValue() throws RemoteException {
		return value;
	}

	public void setValue(Object o) throws RemoteException {
		this.value=o;
	}
}
