package jasco.testing;

public class RunJAsCoEnableTest extends RunJAsCoProgramTest {

	public RunJAsCoEnableTest(int type) {
		super("test.hello.HelloWorld", "dynamic enable-disable", type, true);
		
		this.addOption("enabled");
	}
	
	@Override public boolean checkOutput(StringBuffer output) {
		
		String[] shouldContain = new String[] {
				"(connector enabled: true)",
				"I am a before advice.",
				"Hello, world!",
				"(connector enabled: false)",
				"Hello, world!",
				"(connector enabled: true)",
				"I am a before advice.",
				"Hello, world!",
				"I am a before advice.",
				"Good bye."
		};
		
		return this.checkOutputShouldOccur(output,shouldContain);
	}

}
