package jasco.testing;

public class RunStatefulControlFlowTest extends RunJAsCoProgramTest {

	public RunStatefulControlFlowTest(int type) {
		super("test.p1.A", "stateful control flow", type, true);
	}
	
	@Override public boolean checkOutput(StringBuffer b) {
		
		String[] s = new String[] {
				"Before Atrans: void test.p1.A.m1",
				"Before Btrans: void test.p1.E.m2",
				"Before Ctrans: void test.p1.A.m3",
				"After Ctrans: void test.p1.A.m3",
				"After Btrans: void test.p1.E.m2",
				"After Atrans: void test.p1.A.m1"
		};
		
		return this.checkOutputShouldOccur(b,s);
	}

}
