/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
/*
 * Created on 8-nov-2004
 */
package test;

/**
 * @author Wim
 */

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton; 
import javax.swing.JFrame;
import javax.swing.JPanel;

import sunw.demo.juggler.Juggler;


/**
 * @author Wim
 */
public class RunJuggler implements ActionListener{
	
	Juggler j;
	
	public RunJuggler() {
		
		j = new Juggler();
		JFrame boe = new JFrame();
		JPanel p = new JPanel();
		p.add(j);
		JButton stop = new JButton("Stop");
		p.add(stop);
		stop.addActionListener(this);
		JButton start = new JButton("Start");
		p.add(start);
		start.addActionListener(this);
		boe.setContentPane(p);
		boe.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
					 System.exit(0);
			} 
			});
		boe.pack();
		boe.setVisible(true);
		
		int l = j.hashCode();
		try{
		long sleepTime=100;
		
		start.doClick();
		stop.doClick();
		Thread.sleep(sleepTime);
		
		start.doClick();
		Thread.sleep(sleepTime);
		stop.doClick();
		Thread.sleep(sleepTime);
		start.doClick();
		Thread.sleep(sleepTime);
		stop.doClick();
		}catch(Exception ex) {System.err.println(ex.getMessage()); ex.printStackTrace();}
		
		boe.dispose();
		System.exit(0);
		
		boe(105);
		j.hashCode();
	}
	
	public void actionPerformed(ActionEvent ev) {
		boolean enabled=false;
		if(ev.getActionCommand().equals("Start"))
			j.startJuggling();
		else if (ev.getActionCommand().equals("Stop"))
			j.stopJuggling();
	}

	public static void main(String[] args)  {
		try{
			new RunJuggler();
		}catch(Throwable t) {
			System.err.println(t.getMessage());
			t.printStackTrace();
			System.exit(0);
		}
	}
	
	public static int boe(int i) {
		return i;
	}
	
	
}