package test.trav.example;

import edu.neu.ccs.demeter.dj.*;

class Main { 
  public static void main(String[] args) {
    ClassGraph cg = new ClassGraph("testpackage"); // constructed by reflection from
    //cg.addClass(new A(null,null).getClass());                                 // the classes in the default package
	
	// construct some object
    A a = new A(new B(new D()), new C());
	System.out.println("boe");
    Strategy sg = new Strategy("from testpackage.A to testpackage.D");
    TraversalGraph tg = new TraversalGraph(sg, cg);

    // notice that Java allows you to inline the visitor
    // if you don't need the visitor object after the traversal
    tg.traverse(a, new Visitor() {
	public void start() { System.out.println("begin");}
	public void finish() { System.out.println("end"); }
		
        public void before(A o) { System.out.println("before A"); }
        public void after(A o)  { System.out.println("after A"); }

        public void before(D o) { System.out.println("before D"); }
        public void after(D o)  { System.out.println("after D"); }
		
		public void before(Object o) { System.out.println("before object"+o.getClass()); }
        public void after(Object o)  { System.out.println("after obkect"+o.getClass()); }
    }); 

    // Print out the traversal graph so that you 
    // can check the detailed traversal
    System.out.println("Traversal Graph for from A to D");
    System.out.println(tg);
	
	       
  }
}




