/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.runtime.connector;

//import jasco.aspectparser.*;

public class CutpointExecutionElement 
{ 
	boolean execution = false;
	int executionnumber = -1;
	int originalexecutionnumber = -1;
	
	public CutpointExecutionElement(boolean aExecution, int aExecutionNumber)
	{
		execution = aExecution;
		executionnumber = aExecutionNumber;
		originalexecutionnumber = executionnumber;
	}
	
	public int getOriginalExecutionNumber()  {
	
	   return originalexecutionnumber;
	}
	
	public int getExecutionNumber() 
	{
		return executionnumber;
	}
	
	public void setExecutionNumber(int aExecutionNumber)
	{
		executionnumber = aExecutionNumber;
	}
	
	public boolean getExecution() 
	{
		return execution;
	}
	
	public void setExecution(boolean aExecution)
	{
		execution = aExecution;
	}
	
	public String toString() 
	{
		return "new CutpointExecutionElement(" + execution + "," + executionnumber + ")";
	}
}
