/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
/*
 * Created on 21-okt-2004
 */
package jasco.testing;

import jasco.options.Options;

import java.io.File;

/**
 * @author Wim
 */
public class SimpleTransformTest extends DefaultJAsCoTest {


	public SimpleTransformTest(String classname) {

		super("TransformBean test "+classname, "TransformBean");

		String output = new File(getWorkingDir(),"Generated").getAbsolutePath();
		String classpath = output+Options.PATH_SEPARATOR+ new File(getWorkingDir(),"classes").getAbsolutePath()
			+ Options.PATH_SEPARATOR+ new File(getWorkingDir(),"testing-libs.jar").getAbsolutePath();
		addOption("\"-outputdir:"+output+"\"");
		addOption("\"-classpath:"+classpath+"\"");
		addOption(classname);
		addOption("-debug");
	}
}
