/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.tools.traversalparser;

import java.util.Iterator;
import java.util.Vector;

public class HookInit  { 
	
	private Vector methods = new Vector();
	private String contextClass ;
	private Vector abstractMethods = new Vector();
	

	public HookInit()  {
		
	}
	
	public Iterator getMethods()  {
	
		return methods.iterator();
	}
	
	public void addMethod(HookMethod hc)  {
	
		methods.add(hc);
	}
	
	public String getContextClass()  {
	
		return contextClass;
	}
	
	public void setContextClass(String s)  {
	
		contextClass=s;
	}
	
	public void addAbstractMethod(String am)  {
	
		abstractMethods.add(am);
	}
	
	public Iterator getAbstractMethods()  {
	
		return abstractMethods.iterator();
	}
}
	