/*
  Copyright (C) 2002-2005 JAsCo Development Team
  http://ssel.vub.ac.be/jasco

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
 */
package jasco.util.generators;

public class GPackage 
{
	String packagename = null;
	String documentation = null;
	
	public GPackage(String aPackageName, String aDocumentation)
	{
		packagename = aPackageName;
		documentation = aDocumentation;
	}
	
	public GPackage(String aPackageName)
	{
		packagename = aPackageName;
		documentation = "";
	}
	
	public String getPackageName() 
	{	
		if(packagename!=null)
			return packagename;
		else return "";	
	}
	
	public String getDocumentation()
	{
		return documentation;
	}
	
	public void setPackageName(String aPackageName)
	{
		packagename = aPackageName;
	}
	
	public void setDocumentation(String aDocumentation)
	{
		documentation = aDocumentation;
	}
}