package testing;

class DynArgsTestAspect {
	
	hook DynArgsString {
		
		DynArgsString(void method(String s)) {
			execution(method);
		}
		
		before() {
			System.out.println(thisJoinPoint.getName()+": s is "+s);
		}
	}
	
	hook DynArgsInt {
		
		DynArgsInt(method(int i,..args)) {
			execution(method);
		}
		
		around() {
			System.out.println(thisJoinPoint.getName()+": i is "+i);
			return proceed();
		}
	}
	
	hook DynArgsReturnInt {
		
		DynArgsReturnInt(int method(..args)) {
			execution(method);
		}
		
		before() {
			System.out.println(thisJoinPoint.getName()+"return succesfull");
		}
	}
}
