package test.arounds;

class PrimitiveAroundTest {
	
	hook MyHook {
		
		MyHook(int method(..args)) {
			execution(method);
		}
		
		around() {
			int i= proceed();
			System.out.println("aspect:"+i);
			return i;
		}
	}
	
	hook MyHook3 {
		
		MyHook3(int method(..args)) {
			execution(method);
		}
		
		around() {
			int i= proceed(thisJoinPointObject,args);
			System.out.println("aspect:"+i);
			return i;
		}
	}
	
	hook MyHook2 {
		
		MyHook2(int method(..args)) {
			execution(method);
		}
		
		around returning(int k) {
			System.out.println("aspect:"+k);
			return k;
		}
	}
}
